### Method

# EDataServer SourceExtension ref_source

since: 3.8

#### Declaration [src]

    ESource*
    e_source_extension_ref_source (
      ESourceExtension* extension
    )

#### Description [src]

Returns the `ESource` instance to which the `extension` belongs.

The returned `ESource` is referenced for thread-safety. Unreference the `ESource` with `g_object_unref()` when finished with it.

Available since: 3.8

#### Return value

Type: `ESource`

The `ESource` instance.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.